## geneweb 6.08+git20181019+dfsg

=== Makefile ===
# $Id: Makefile,v 5.7 2009-03-11 10:53:30 ddr Exp $

PREFIX=/usr
LANGDIR=$(PREFIX)/share/geneweb
MANDIR=$(PREFIX)/man/man1
DESTDIR=distribution
MANPAGES=ged2gwb.1 gwb2ged.1 gwc.1 gwc2.1 gwu.1 gwd.1 consang.1 gwsetup.1

include tools/Makefile.inc

all:: opt

out::
	cd wserver; $(MAKE) all
	cd dag2html; $(MAKE) out
	cd src; $(MAKE) PREFIX=$(PREFIX) all
	cd ged2gwb; $(MAKE) all
	cd gwb2ged; $(MAKE) all
	cd setup; $(MAKE) all
	cd gwtp; $(MAKE) all

opt::
	cd wserver; $(MAKE) opt
	cd dag2html; $(MAKE) opt
	cd src; $(MAKE) PREFIX=$(PREFIX) opt
	cd ged2gwb; $(MAKE) opt
	cd gwb2ged; $(MAKE) opt
	cd setup; $(MAKE) opt
	cd gwtp; $(MAKE) opt

install:
	mkdir -p $(PREFIX)/bin
	cp src/gwc $(PREFIX)/bin/gwc$(EXE)
	cp src/gwc1 $(PREFIX)/bin/gwc1$(EXE)
	cp src/gwc2 $(PREFIX)/bin/gwc2$(EXE)
	cp src/consang $(PREFIX)/bin/consang$(EXE)
	cp src/gwd $(PREFIX)/bin/gwd$(EXE)
	cp src/gwu $(PREFIX)/bin/gwu$(EXE)
	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
	cp ged2gwb/ged2gwb2 $(PREFIX)/bin/ged2gwb2$(EXE)
	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
	mkdir -p $(LANGDIR)/lang
	cp hd/lang/*.txt $(LANGDIR)/lang/.
	mkdir -p $(LANGDIR)/images
	mkdir -p $(LANGDIR)/images/flags
	cp hd/images/flags/*.jpg hd/images/flags/*.png $(LANGDIR)/images/flags/.
	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(LANGDIR)/images/.
	mkdir -p $(LANGDIR)/etc
	cp -R hd/etc/* $(LANGDIR)/etc/.
	find $(LANGDIR)/etc/ -name .svn -type d -prune -exec rm -rf {} \;
	mkdir -p $(MANDIR)
	cd man; cp $(MANPAGES) $(MANDIR)/.

uninstall:
	rm -f $(PREFIX)/bin/gwc$(EXE)
	rm -f $(PREFIX)/bin/gwc1$(EXE)
	rm -f $(PREFIX)/bin/gwc2$(EXE)
	rm -f $(PREFIX)/bin/consang$(EXE)
	rm -f $(PREFIX)/bin/gwd$(EXE)
	rm -f $(PREFIX)/bin/gwu$(EXE)
	rm -f $(PREFIX)/bin/ged2gwb$(EXE)
	rm -f $(PREFIX)/bin/gwb2ged$(EXE)
	rm -rf $(PREFIX)/share/geneweb
	cd $(MANDIR); rm -f $(MANPAGES)

distrib: new_distrib wrappers

wrappers:
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwd.bat; \
	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'start /MIN ..\\gw\\gwd -hd ..\\gw\r\n' >> $(DESTDIR)/gwd.bat; \
	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
	  echo -ne 'start /MIN ..\\gw\\gwsetup -lang fr -gd ..\\gw\r\n' >> $(DESTDIR)/gwsetup.bat; \
	else \
	  (echo '#!/bin/sh'; \
	   echo 'cd `dirname "$$0"`'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > $(DESTDIR)/gwd; \
	  (echo '#!/bin/sh'; \
	   echo 'cd `dirname "$$0"`'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > $(DESTDIR)/gwsetup; \
	  chmod +x $(DESTDIR)/gwd $(DESTDIR)/gwsetup; \
	fi
	if test $(shell uname -s) = "Darwin"; then \
	  cp etc/MacOSX/GeneWeb.command $(DESTDIR); \
	fi

new_distrib: classical_distrib
	mkdir t
	mv $(DESTDIR) t/gw
	mv t $(DESTDIR)
	mkdir $(DESTDIR)/gw/old
	mkdir $(DESTDIR)/gw/setup
	cp setup/intro.txt $(DESTDIR)/gw/setup/.
	mkdir $(DESTDIR)/gw/setup/lang
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  cp setup/lang/intro.txt.dos $(DESTDIR)/gw/setup/lang/intro.txt; \
	else \
	  cp setup/lang/intro.txt $(DESTDIR)/gw/setup/lang/intro.txt; \
	fi
	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
	cp LICENSE $(DESTDIR)/LICENSE.txt
	cp etc/START.htm $(DESTDIR)/.
	cp CHANGES $(DESTDIR)/CHANGES.txt
	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
	echo "-setup_link" > $(DESTDIR)/gw/gwd.arg

classical_distrib:
	$(RM) -rf $(DESTDIR)
	mkdir $(DESTDIR)
	cp src/gwc $(DESTDIR)/gwc$(EXE)
	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
	cp src/consang $(DESTDIR)/consang$(EXE)
	cp src/gwd $(DESTDIR)/gwd$(EXE)
	cp src/gwu $(DESTDIR)/gwu$(EXE)
	cp src/update_nldb $(DESTDIR)/update_nldb$(EXE)
	cp ged2gwb/ged2gwb $(DESTDIR)/ged2gwb$(EXE)
	cp ged2gwb/ged2gwb2 $(DESTDIR)/ged2gwb2$(EXE)
	cp gwb2ged/gwb2ged $(DESTDIR)/gwb2ged$(EXE)
	mkdir $(DESTDIR)/gwtp_tmp
	mkdir $(DESTDIR)/gwtp_tmp/lang
	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
	cp etc/a.gwf $(DESTDIR)/.
	mkdir $(DESTDIR)/lang
	cp hd/lang/*.txt $(DESTDIR)/lang/.
	mkdir $(DESTDIR)/images
	mkdir $(DESTDIR)/images/flags
	cp hd/images/flags/*.jpg hd/images/flags/*.png $(DESTDIR)/images/flags/.
	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(DESTDIR)/images/.
	mkdir $(DESTDIR)/etc
	cp -R hd/etc/* $(DESTDIR)/etc/.
	find $(DESTDIR)/etc/ -name .svn -type d -prune -exec rm -rf {} \;

windows_files:
	@for i in distribution/*.txt distribution/gw/*.txt; do \
	  echo "========================================="; \
	  echo $$i; \
	  cp $$i $$i~; \
	  sed -e 's/$$/\r/' $$i~ > $$i; \
	  rm $$i~; \
	done

clean::
	cd wserver; $(MAKE) clean
	cd dag2html; $(MAKE) clean
	cd src; $(MAKE) clean
	cd ged2gwb; $(MAKE) clean
	cd gwb2ged; $(MAKE) clean
	cd setup; $(MAKE) clean
	cd gwtp; $(MAKE) clean
	$(RM) -rf $(DESTDIR)
	$(RM) -f *~ .#*

clean_mismatch:
	rm src/pa_lock.cmo src/pa_html.cmo src/def_syn.cmo

depend:
	cd src; $(MAKE) pr_dep.cmo def_syn.cmo gwlib.ml
	cd src; $(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
	cd wserver; $(MAKE) depend
	cd src; $(MAKE) depend
	cd ged2gwb; $(MAKE) depend
	cd gwb2ged; $(MAKE) depend
	cd setup; $(MAKE) depend
	cd gwtp; $(MAKE) depend

=== rpm/Makefile ===
# $Id: Makefile,v 5.2 2007-09-12 09:42:26 ddr Exp $

VERSION=5.01
RELEASE=1
DESTDIR=/usr/src/RPM

all:
	@echo "make install (as root)"

install:
	sed -e "s/VERSION/$(VERSION)/" -e "s/RELEASE/$(RELEASE)/" geneweb.spec > $(DESTDIR)/SPECS/geneweb-$(VERSION)-$(RELEASE).spec

=== setup/Makefile ===
# $Id: Makefile,v 5.1 2007-09-12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../wserver -I ../src
OBJS=../wserver/wserver.cmo ../src/version.cmo ../src/argl.cmo ../src/buff.cmo ../src/translate.cmo setup.cmo

all:: out

out:: setup.out
	$(RM) gwsetup
	cp setup.out gwsetup

opt:: setup.opt
	$(RM) gwsetup
	cp setup.opt gwsetup
	$(STRIP) gwsetup

clean::
	$(RM) gwsetup *.bat
	$(RM) -rf test

test: test_dir wrappers

wrappers:
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  echo 'cd gw' > test/gwd.bat; \
	  echo 'gwd' >> test/gwd.bat; \
	  echo 'cd gw' > test/gwsetup.bat; \
	  echo 'gwsetup' >> test/gwsetup.bat; \
	else \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > test/gwd; \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > test/gwsetup; \
	  chmod +x test/gwd test/gwsetup; \
	fi
	cd test; ln -s ../../etc/START.htm .

test_dir:
	mkdir test
	mkdir test/gw
	cd test/gw; ln -s ../../gwsetup gwsetup
	cd test/gw; ln -s ../.. setup
	cd test/gw; ln -s ../../../doc .
	cd test/gw; ln -s ../../../src/gwc .
	cd test/gw; cp ../../../src/gwd .
	cd test/gw; ln -s ../../../src/gwu .
	cd test/gw; ln -s ../../../src/consang .
	cd test/gw; ln -s ../../../hd/lang .
	cd test/gw; ln -s ../../../hd/images .
	cd test/gw; ln -s ../../../hd/etc .
	cd test/gw; ln -s ../../../ged2gwb/ged2gwb .
	cd test/gw; ln -s ../../../gwb2ged/gwb2ged .
	cd test/gw; ln -s ../../../etc/INSTALL.htm .
	cd test/gw; echo "127.0.0.1" > only.txt
	cd test/gw; echo "-setup_link" > gwd.arg

setup.out: $(OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(OBJS) -o setup.out

setup.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(OBJS:.cmo=.cmx) -o setup.opt

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

always:

include .depend

=== contrib/gwpublic/Makefile ===
# $Id: Makefile.gwpublic,v 1.4 2008/03/31 11:36:28 deraugla Exp $

GW=../../src
OBJS=$(GW)/secure.cmo $(GW)/buff.cmo $(GW)/name.cmo $(GW)/iovalue.cmo $(GW)/mutil.cmo $(GW)/db2.cmo $(GW)/adef.cmo $(GW)/db2disk.cmo $(GW)/futil.cmo $(GW)/btree.cmo $(GW)/dutil.cmo $(GW)/database.cmo $(GW)/gwdb.cmo $(GW)/checkItem.cmo $(GW)/gutil.cmo $(GW)/consang.cmo

all: gwpublic1 gwpublic2 gwpublic2priv gwprivate gwiftitles

clean:
	rm -f *.o *.cm[iox] gwpublic1 gwpublic2 gwpublic2priv gwprivate gwiftitles

gwpublic1: gwpublic1.cmx
	ocamlopt.opt unix.cmxa $(OBJS:.cmo=.cmx) $< -o $@

gwpublic2: gwpublic2.cmx
	ocamlopt.opt unix.cmxa $(OBJS:.cmo=.cmx) $(GW)/progrBar.cmx $< -o $@

gwpublic2priv: gwpublic2priv.cmx
	ocamlopt.opt unix.cmxa $(OBJS:.cmo=.cmx) $(GW)/progrBar.cmx $< -o $@

gwprivate: gwprivate.cmx
	ocamlopt.opt unix.cmxa $(OBJS:.cmo=.cmx) $< -o $@

gwiftitles: gwiftitles.cmx
	ocamlopt.opt unix.cmxa $(OBJS:.cmo=.cmx) $< -o $@

%.cmx: %.ml
	ocamlopt.opt -c -pp camlp5r -I $(GW) $<

=== contrib/gwbase/etc/Makefile ===
# $Id: Makefile,v 4.36 2009-03-11 10:58:50 deraugla Exp $

include Makefile.inc

GWB=../../..
OCAMLI=-I $(GWB)/src
STD_OBJS=$(GWB)/src/adef.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo
GENEANET_OBJS=$(GWB)/src/adef.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/ansel.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo $(GWB)/src/argl.cmo geneanet.cmo
CLAVIER_OBJS=clavier.cmo
CONNEX_OBJS=$(GWB)/src/argl.cmo $(GWB)/src/adef.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/ansel.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo $(GWB)/src/lock.cmo connex.cmo
HIST_OBJS=$(GWB)/src/argl.cmo $(GWB)/src/adef.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo hist.cmo
SELROY_OBJS=$(GWB)/src/argl.cmo $(GWB)/src/adef.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo select.cmo $(GWB)/src/calendar.cmo selroy.cmo
CHKIMG_OBJS=$(GWB)/src/argl.cmo $(GWB)/src/adef.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/iovalue.cmo $(GWB)/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/db2disk.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo chkimg.cmo
CONSMOY_OBJS=$(GWB)/src/argl.cmo $(GWB)/src/adef.cmo $(GWB)/src/buff.cmo $(GWB)/src/name.cmo $(GWB)/src/iovalue.cmo $(GWB/src/mutil.cmo $(GWB)/src/futil.cmo $(GWB)/src/dutil.cmo $(GWB)/src/btree.cmo $(GWB)/src/secure.cmo $(GWB)/src/database.cmo $(GWB)/src/db2.cmo $(GWB)/src/diff.cmo $(GWB)/src/gwdb.cmo $(GWB)/src/checkItem.cmo $(GWB)/src/gutil.cmo consmoy.cmo
CLEOPATRE_OBJS=$(STD_OBJS) gwlib.cmo cleopatre.cmo
POPULE_OBJS=$(STD_OBJS) gwlib.cmo $(GWB)/src/calendar.cmo $(GWB)/src/outbase.cmo popule.cmo
MODIF_OBJS=$(STD_OBJS) modif.cmo
PUBLIC_OBJS=$(STD_OBJS) public.cmo
PUBLIC2_OBJS=$(STD_OBJS) $(GWB)/src/progrBar.cmo public2.cmo
DONADELLO_OBJS=$(STD_OBJS) donadello.cmo
PARTICULE_OBJS=$(STD_OBJS) particule.cmo
LUNE_OBJS=$(STD_OBJS) $(GWB)/src/calendar.cmo lune.cmo
TITRES_OBJS=$(STD_OBJS) titres.cmo
GWCK_OBJS=$(STD_OBJS) $(GWB)/src/lock.cmo $(GWB)/src/progrBar.cmo gwck.cmo
NBDESC_OBJS=$(STD_OBJS) $(GWB)/src/progrBar.cmo nbdesc.cmo

all:: opt

out:: connex.out hist.out selroy.out chkimg.out consmoy.out cleopatre.out lune.out popule.out public.out public2.out titres.out gwck.out

opt:: connex.opt hist.opt selroy.opt chkimg.opt consmoy.opt lune.opt popule.opt public.opt public2.opt titres.opt gwck.opt nbdesc.opt

odif.opt: $(MODIF_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(MODIF_OBJS:.cmo=.cmx) -o modif.opt

titres.out: $(TITRES_OBJS)
	$(OCAMLC) unix.cma $(LIBUNIX) $(TITRES_OBJS) -o titres.out

titres.opt: $(TITRES_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(TITRES_OBJS:.cmo=.cmx) -o titres.opt

public.out: $(PUBLIC_OBJS)
	$(OCAMLC) unix.cma $(LIBUNIX) $(PUBLIC_OBJS) -o public.out

public.opt: $(PUBLIC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(PUBLIC_OBJS:.cmo=.cmx) -o public.opt

public2.opt: $(PUBLIC2_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(PUBLIC2_OBJS:.cmo=.cmx) -o public2.opt

particule.out: $(PARTICULE_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(PARTICULE_OBJS) -o particule.out

donadello.out: $(DONADELLO_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(DONADELLO_OBJS) -o donadello.out

donadello.opt: $(DONADELLO_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(DONADELLO_OBJS:.cmo=.cmx) -o donadello.opt

cleopatre.out: $(CLEOPATRE_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(CLEOPATRE_OBJS) -o cleopatre.out

lune.out: $(LUNE_OBJS)
	$(OCAMLC) unix.cma $(LIBUNIX) $(LUNE_OBJS) -o lune.out

lune.opt: $(LUNE_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(LUNE_OBJS:.cmo=.cmx) -o lune.opt

popule.out: $(POPULE_OBJS)
	$(OCAMLC) unix.cma $(LIBUNIX) $(POPULE_OBJS) -o popule.out

popule.opt: $(POPULE_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(POPULE_OBJS:.cmo=.cmx) -o popule.opt

geneanet.out: $(GENEANET_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(GENEANET_OBJS) -o geneanet.out

connex.out: $(CONNEX_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(CONNEX_OBJS) -o connex.out

connex.opt: $(CONNEX_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(CONNEX_OBJS:.cmo=.cmx) -o connex.opt

hist.out: $(HIST_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(HIST_OBJS) -o hist.out

hist.opt: $(HIST_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(LIBUNIX) $(HIST_OBJS:.cmo=.cmx) -o hist.opt

selroy.opt: $(SELROY_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(SELROY_OBJS:.cmo=.cmx) $(LIBUNIX) -o selroy.opt

selroy.out: $(SELROY_OBJS)
	$(OCAMLC) -custom unix.cma $(LIBUNIX) $(SELROY_OBJS) -o selroy.out

chkimg.out: $(CHKIMG_OBJS)
	$(OCAMLC) unix.cma $(CHKIMG_OBJS) $(LIBUNIX) -o chkimg.out

chkimg.opt: $(CHKIMG_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(CHKIMG_OBJS:.cmo=.cmx) $(LIBUNIX) -o chkimg.opt

consmoy.out: $(CONSMOY_OBJS)
	$(OCAMLC) unix.cma $(CONSMOY_OBJS) $(LIBUNIX) -o consmoy.out

consmoy.opt: $(CONSMOY_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(CONSMOY_OBJS:.cmo=.cmx) $(LIBUNIX) -o consmoy.opt

gwck.out: $(GWCK_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(GWCK_OBJS) -o gwck.out

gwck.opt: $(GWCK_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(GWCK_OBJS:.cmo=.cmx) -o gwck.opt

nbdesc.opt: $(NBDESC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(NBDESC_OBJS:.cmo=.cmx) -o nbdesc.opt

clavier.out: $(CLAVIER_OBJS)
	$(OCAMLC) -custom $(CLAVIER_OBJS) -o clavier.out

depend:
	export LC_ALL=C; TOP=$(GWB) $(GWB)/tools/camlp5_depend.sh $(OCAMLI) $$(ls *.ml) | sed -e 's|$(GWB)|$$(GWB)|g' > .depend.new
	mv .depend.new .depend

include .depend

=== debian/changelog ===
geneweb (6.08+git20181019+dfsg-2) unstable; urgency=medium

  * Fix a regression in the previous release in 0007-compile-gui.patch
    to avoid build failures for some architectures
  * Add a comment in debian/rules to remember how to test with WAY=out
  * Remove Christian Perrier from Uploaders
  * Lintian override for geneweb-connex (like other binaries)

 -- Guillaume Brochu <guillaume.brochu@gmail.com>  Fri, 28 Dec 2018 15:01:00 -0500

geneweb (6.08+git20181019+dfsg-1) unstable; urgency=medium

  * New upstream release:
    https://github.com/geneweb/geneweb/archive/9641e494cd85fb1b7baba32412d120da38234ba2.tar.gz
    https://github.com/geneweb/geneweb/commits/distrib-6-08-ocaml-4-xx
    (Last commit : 2018-10-19)
    Fixes a bug in /hd/etc/templ502/updfam.txt:
    https://github.com/geneweb/geneweb/issues/642
    Fixes ocaml warnings and correct English errors
  * New maintainer (Guillaume Brochu), Christian Perrier now in uploaders
  * New git repository to replace Alioth:
    https://salsa.debian.org/GuillaumeBrochu-guest/geneweb
  * Fix debian/copyright
  * Build and add connex to geneweb package (renamed geneweb-connex)
    Closes: #912915
  * Use upstream a.gwf as default.gwf for gwtp
    Also put default.gwf in var/lib/geneweb
  * Patches updated using gbp pq, cleaning of compile-gui patch
  * Remove duplicate entries in changelog (that were there since May 2007)
  * Add override_dh_auto_configure to fix a problem
    that appeared with debhelper 11.5
  * Standards-Version: 4.3.0
  * Debhelper Build-Depends 9 -> 11, use debhelper-compat
  * Remove Pre-Depends on dpkg (>= 1.15.6~)
  * Build-Depends: Replace ocaml-best-compilers and ocaml by ocaml-nox
  * Remove lynx in Suggests of geneweb
  * Remove adduser in Pre-Depends of geneweb-gui
  * Add Keywords entry to .desktop files, correct translation mistake
  * Put icons in usr/share/pixmaps
  * Update isoquery standard : use 639-2 instead of 639
  * Add Documentation.desktop in usr/share/doc/geneweb
  * Use https for homepage https://geneweb.org
  * Cleaning of .docs, .dirs, .links, .prerm, and rules
  * Other minor changes (lintian warnings, gbp.conf, etc.)

 -- Guillaume Brochu <guillaume.brochu@gmail.com>  Thu, 27 Dec 2018 12:25:00 -0500

=== debian/control ===
Source: geneweb
Section: misc
Priority: optional
Maintainer: Guillaume Brochu <guillaume.brochu@gmail.com>
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 11), ocaml-nox (>= 4.02), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
Homepage: https://geneweb.org
Vcs-Git: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb.git
Vcs-Browser: https://salsa.debian.org/GuillaumeBrochu-guest/geneweb

Package: geneweb
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6), libjs-jquery, libjs-jquery-placeholder
Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
Suggests: gwtp, gwsetup, www-browser, geneweb-gui
Description: genealogy software with web interface
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.

Package: gwtp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
Suggests: httpd
Description: web interface interacting with Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwtp is a CGI program allowing owners of databases hosted on a
 GeneWeb site to upload and download their databases on the site and
 change their configuration parameters.

Package: gwsetup
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb, lsb-base (>= 3.0-6)
Description: utilities to configure and manipulate Geneweb databases
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Gwsetup is a command-line program which also includes a mini web server
 to help Geneweb users to setup and manipulate genealogical databases
 to be used with the main Geneweb program.

Package: geneweb-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Description: graphical user interface to Geneweb genealogy software
 Geneweb allows keeping track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 This package provides a graphical interface to geneweb (assuming the
 database is hosted on the local machine).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

PACKAGE=geneweb

WAY=$(shell if [ -f "/usr/bin/ocamlc.opt" ]; then echo "opt"; \
else echo "out"; \
fi)

# Maintainer test : uncomment the next line to test WAY=out
#WAY=out

ifeq ($(WAY),out)
override_dh_strip:
	# Don't strip ocaml bytecode executables
endif

override_dh_installdeb:
	# Use of the dh-buildinfo package: see http://people.debian.org/~dirson/buildinfo/
	dh_buildinfo
	dh_installdeb
	
override_dh_auto_clean:

override_dh_auto_install:

override_dh_auto_configure:
	chmod a+x ./configure
	./configure

override_dh_auto_build:
	# Move the proper makefile into place	
	cp -f `pwd`/tools/Makefile.debian.$(WAY) `pwd`/tools/Makefile.debian
	chmod a+x tools/*.sh
	chmod a+x contrib/gwbase/etc/*.sh
	$(MAKE) $(WAY)
	$(MAKE) distrib
	cp `pwd`/distribution/gw/images/favicon_gwd.png `pwd`/distribution/geneweb.png
	cp `pwd`/distribution/gw/images/favicon_gwsetup.png `pwd`/distribution/gwsetup.png
	mv `pwd`/distribution/gw/gui `pwd`/distribution/gw/geneweb-gui
	mv `pwd`/distribution/CHANGES.txt `pwd`/distribution/changelog
	cp `pwd`/distribution/gw/a.gwf `pwd`/distribution/default.gwf
	cp `pwd`/distribution/gw/connex `pwd`/distribution/geneweb-connex

override_dh_clean:
	rm -rf debian/iso-codes
	rm -rf debian/pobuild
	rm -f debian/geneweb.templates.tmp
	rm -f debian/geneweb.templates
	debconf-updatepo
	# Add here commands to clean up after the build process.
	[ ! -f tools/Makefile.inc ] || [ ! -f Makefile ] || $(MAKE) clean
	# Clean out cruft left by former builds
	rm -f compilation.ml
	dh_clean

override_dh_install:
	dh_install
	# The CGI script
	chmod 755 `pwd`/debian/gwtp/usr/lib/cgi-bin/gwtp/gwtp.cgi
	# The wrappers
	chmod 755 `pwd`/debian/gwsetup/usr/lib/geneweb/gwsetup.wrapper

override_dh_installdebconf:
	# Grab ISO 639-2 language code translations
	chmod u+x debian/get-iso-codes
	debian/get-iso-codes
	# Build templates
	chmod u+x debian/mktemplates
	debian/mktemplates
	dh_installdebconf
